Issue 123841

Summary: Fix constness type mismatches for OSX port
Product: General Reporter: hdu <hdu>
Component: codeAssignee: hdu <hdu>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues
Version: 4.1.0-dev   
Target Milestone: 4.1.0   
Hardware: All   
OS: Mac OS X, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 122301    

Description hdu@apache.org 2013-12-12 13:27:05 UTC
Compiling a codebase in different development environments is only possible if the types used are declared and used consistently. E.g. a function that declares a non-const parameter cannot accept a const input for that. Such constness problems need to be fixed.
Comment 1 SVN Robot 2013-12-12 13:37:51 UTC
"hdu" committed SVN revision 1550416 into trunk:
#i123841# fix constness issues in OSX 64bit clipboard handling
Comment 2 Oliver-Rainer Wittmann 2014-02-10 10:30:11 UTC
@Herbert: Is this issue solved?
Comment 3 hdu@apache.org 2014-02-25 09:09:59 UTC
Fixed with the commits above.
Comment 4 hdu@apache.org 2014-04-01 12:25:13 UTC
Closing the resolved issue.